package com.xyzc.common.web.security.mobile;

import org.springframework.security.core.userdetails.UserDetails;

public interface WeiXinScanUserDetailService {

    /**
     * 通过openid和商户号加载用户信息
     *
     * @param openid 用户openid
     * @return 用户信息
     */
    UserDetails loadUserByOpenidAndAgentId(String openid, Long agentId);
}
