package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 绘画模型
 *
 * @author 墨凡
 * date 2024/7/21 17:29
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("xy_draw_model")
public class DrawModel extends BaseEntity {

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 模型名称
     */
    private String modelName;

    /**
     * ugc用户Id
     */
    private Long ugcUserId;


    private Integer useCount;

    private Integer use_false_count;


    private String description;

    private Long ossId;

    @TableLogic
    private String delFlag;

}
