package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 用户反馈的内容
 */
@TableName("xy_help_feedback")
@Data
public class HelpFeedback {

    @TableId(value = "id", type= IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户反馈的内容
     */
    private String content;

    /**
     * 用户的id
     */
    private Long baseUserId;

    /**
     * 用户的代理商id
     */
    private Long agentId;

}
