package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@TableName("xy_industry")
public class Industry extends BaseEntity {

    /**
     * 行业ID
     */
    private Long id;

    /**
     * 行业排序
     */
    private Integer sort;

    /**
     * 行业名称
     */
    private String name;

}
