package com.xyzc.start.domain.bo;

import com.baomidou.mybatisplus.annotation.Version;
import lombok.Data;

import java.util.List;

/**
 * 能力业务对象 xy_ability
 *
 * @author yz
 * @date 2024-06-25
 */
@Data
public class AbilityBo {

    /**
     * 能力id
     */
//    @NotNull(message = "能力id不能为空", groups = {EditGroup.class})
    private Long id;

    /**
     * AI模型id集合
     */
//    @NotEmpty(message = "AI模型id集合不能为空", groups = {AddGroup.class, EditGroup.class})
    private List<Long> aiModelIdList;

    /**
     * 能力分组id
     */
//    @NotNull(message = "能力分组id不能为空", groups = {AddGroup.class, EditGroup.class})
    private Long abilityGroupId;

    /**
     * 能力名称
     */
//    @NotBlank(message = "能力名称不能为空", groups = {AddGroup.class, EditGroup.class})
    private String abilityName;

    /**
     * 能力英文名称
     */
//    @NotBlank(message = "能力英文名称不能为空", groups = {AddGroup.class, EditGroup.class})
    private String abilityNameEn;

    /**
     * 能力logo ossId
     */
//    @NotNull(message = "能力logo ossId不能为空", groups = AddGroup.class)
    private Long ossId;

    /**
     * 提示词
     */
//    @NotBlank(message = "提示词不能为空", groups = {AddGroup.class, EditGroup.class})
    private String prompt;

    /**
     * 能力类型；1-bot；2-dify
     */
//    @NotNull(message = "能力类型不能为空", groups = {AddGroup.class, EditGroup.class})
//    @Range(min = 1, max = 2, message = "能力类型范围在{min}到{max}之间", groups = {AddGroup.class, EditGroup.class})
    private Integer abilityType;

    /**
     * 描述
     */
    private String description;

    /**
     * AI模型名称
     */
    private String aiModelName;

    /**
     * 是否精选
     */
    private Integer isSelect;

    /**
     * 版本号
     */
    @Version
    private Integer version;
}
