package com.xyzc.start.domain.bo;

import jakarta.validation.constraints.NotEmpty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.Range;

/**
 * 卡片权益兑换
 *
 * @author 墨凡
 * date 2024/8/4 22:49
 */
@Data
public class AgentCardSecretBo {

    /**
     * 卡密
     */
    @Length(min = 18, max = 18, message = "卡密长度错误，请重新输入")
    @NotEmpty(message = "卡密不能为空")
    private String cardSecret;

}
