package com.xyzc.start.domain.bo;

import lombok.Data;

/**
 * 权益业务对象 xy_equity
 *
 * @author admin
 * @date 2024-06-26
 */
@Data
public class EquityBo {

    /**
     * 权益id
     */
//    @NotNull(message = "权益id不能为空", groups = {EditGroup.class})
//    @Null(message = "添加权益id必须为空", groups = {AddGroup.class})
    private Long id;

    /**
     * AI模型id
     */
//    @NotNull(message = "AI模型id不能为空", groups = {AddGroup.class, EditGroup.class})
    private Long aiModelId;

    /**
     * 会员卡id
     */
//    @NotNull(message = "会员卡id不能为空", groups = {EditGroup.class})
//    @Null(message = "添加时会员卡id必须会空", groups = {AddGroup.class})
    private Long memberCardId;

    /**
     * 免费次数
     */
//    @NotNull(message = "免费次数不能为空", groups = {AddGroup.class, EditGroup.class})
    private Integer freeCount;

    /**
     * 免费次数单位；1-天；2-周；3-月；4-季；5-年
     */
//    @NotNull(message = "免费次数单位；1-天；2-周；3-月；4-季；5-年不能为空", groups = {AddGroup.class, EditGroup.class})
//    @Range(min = 1, max = 5, message = "免费次数单位错误", groups = {AddGroup.class, EditGroup.class})
    private Integer freeCountUnit;


}
