package com.xyzc.start.domain.vo;

import lombok.Data;

/**
 * 用户收藏app信息
 *
 * @author 杨兴卓
 *
 */
@Data
public class BaseUserCollectAppVo {

    /**
     * 应用Id
     */
    private Long appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 应用图标
     */
    private String appIcon;

    /**
     * 收藏类型，1-绘画模型， 2-图像， 3-应用
     */
    private Integer type;
}
