package com.xyzc.start.domain.vo;

import lombok.Data;

/**
 * 我的收藏
 *
 * @author 墨凡
 */
@Data
public class BaseUserCollectVo {
    /**
     * 收藏id
     */
    private Long id;

    /**
     * 收藏类型，1-绘画模型， 2-图像， 3-应用
     */
    private Integer type;

    /**
     * 应用的id
     */
    private Long abilityId;

    /**
     * 绘画模型id
     */
    private Long drawModelId;

    /**
     * 应用名称
     */
    private String abilityName;

    /**
     * ai模型图像
     */
    private Long aiModelUrl;

    /**
     * ai模型名称
     */
    private String aiModelName;

    /**
     * ugc用户名
     */
    private String ugcNick;

    /**
     * ugc用户头像
     */
    private String ugcAvater;

    /**
     * 收藏具体信息的图片
     */
    private Long picUrl;

    /**
     * 收藏具体信息的描述
     */
    private String description;

    /**
     * 收藏量
     */
    private Long collectCount;

    /**
     * 更新时间
     */
    private String createTime;

}
