package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.BaseUserFuelFlow;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.util.Date;


@Data
@AutoMapper(target = BaseUserFuelFlow.class)
public class BaseUserFuelFlowVo {

    /**
     * 燃料流水id
     */
    private Long id;

    /**
     * 燃料流水用户id
     */
    private Long baseUserId;

    /**
     * 模型类别，0-文字模型，1-图像模型，2-视频模型，3-数字人
     */
    private Integer modelType;

    /**
     * 燃料流水类型
     */
    private Integer flowType;

    /**
     * 燃料流水量
     */
    private Long fuelCount;

    /**
     * 燃料变动时间
     */
    private Date createTime;

}
