package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.DrawModel;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;


@Data
@AutoMapper(target = DrawModel.class)
public class DrawModelVo {

    /**
     * 绘画模型id
     */
    private Long id;

    /**
     * 绘画模型名称
     */
    private String modelName;

    /**
     * ugc用户id
     */
    private Long ugcUserId;

    /**
     * ugc用户名称
     */
    private String ugcUserName;

    /**
     * ugc用户头像
     */
    private String ugcUserAvatar;

    /**
     * 绘画模型描述
     */
    private String description;

    /**
     * 绘画模型图片
     */
    private String ossId;

    /**
     * 使用人数
     */
    private Integer useCount;
}
