package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.AiModel;
import com.xyzc.start.domain.vo.AiModelVo;
import com.xyzc.start.domain.vo.FuelPackageVo;

import java.util.List;

/**
 * AiModelMapper
 *
 * @author 杨兴卓
 */
public interface AiModelMapper extends BaseMapperPlus<AiModel, AiModelVo> {

    /**
     * 根据燃料id分页查询燃料包规则列表
     * @param modelId 模型id
     * @return
     */
    List<AiModelVo> queryModelLawList(Long modelId);

}
