package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.constant.Const;
import com.xyzc.start.domain.App;
import com.xyzc.start.domain.bo.AbilityBo;
import com.xyzc.start.domain.vo.AiModelVo;
import com.xyzc.start.domain.vo.AppVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 应用 Mapper接口
 *
 * @author 杨兴卓
 */
@Repository
public interface AppMapper extends BaseMapperPlus<App, AppVo> {


    /**
     *
     * @param appId
     * @return
     */
    AiModelVo queryAiModelFuel(Long appId);


}
