package com.xyzc.start.mapper;


import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.DrawGraphics;
import com.xyzc.start.domain.vo.DrawGraphicsVo;

import java.util.List;

public interface DrawGraphicsMapper extends BaseMapperPlus<DrawGraphics, DrawGraphicsVo> {

    /**
     * 根据图像id分页查询
     *
     * @param graphicsId
     * @return
     */
    List<DrawGraphicsVo> queryGraphics(Long graphicsId);


}
