package com.xyzc.start.mapper;


import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.BaseUserFuelFlow;
import com.xyzc.start.domain.vo.BaseUserFuelFlowVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FuelFlowMapper extends BaseMapperPlus<BaseUserFuelFlow, BaseUserFuelFlowVo> {

    /**
     * 根据 流水id 查询用户的流水列表
     *
     * @param userId 用户id
     * @param flowId 流水id
     * @return
     */
    List<BaseUserFuelFlowVo> queryFuelFlowList(@Param("userId") Long userId, @Param("flowId") Long flowId);

}
