package com.xyzc.start.service;

import com.xyzc.start.domain.HelpCommon;
import com.xyzc.start.domain.bo.HelpFeedbackBo;

import java.util.List;

/**
 * 帮助与反馈
 *
 * @author 杨兴卓
 */
public interface IHelpPageService {

    /**
     * 提交帮助页面信息
     * @param helpFeedbackBo
     */
    void submit(HelpFeedbackBo helpFeedbackBo);

    /**
     * 反馈是否有帮助
     * @param id
     * @param status
     */
    void setHelper(Long id, Integer status);

    /**
     * 反馈是否
     * @param id
     * @return
     */
    List<HelpCommon> queryHelpDocById(Long id);
}
