package com.xyzc.start.service;


import com.xyzc.start.domain.vo.AccessTokenVo;
import com.xyzc.start.domain.vo.TicketVo;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

public interface IWeiXinAuthService {
    /**
     * 微信扫码登录
     * @param agentId
     * @return
     */
    TicketVo sacn(Long agentId);

    /**
     * 微信网页授权登录
     * @param code
     * @param agentId
     * @return
     */
    AccessTokenVo auth(String code, Long agentId);


    /**
     * 扫码登录端微信的回调接口
     * @param req HttpServletRequest
     */
    void postToken(HttpServletRequest req, HttpServletResponse res);

    /**
     *
     * @param ticket
     * @return
     */
    AccessTokenVo getStatus(String ticket);
}
