package com.xyzc.start.utils;

import java.nio.charset.StandardCharsets;

import javax.crypto.Cipher;
import javax.crypto.spec.SecretKeySpec;

import cn.hutool.core.util.HexUtil;
import cn.hutool.crypto.SecureUtil;

public class EncryptUtil {

    /**
     * AES加密
     *
     * @param data
     * @return
     * @throws Exception
     */
    public static String encryptAES(String data, String keyStr) throws Exception {
        Cipher cipher = Cipher.getInstance("AES/ECB/PKCS5Padding");
        SecretKeySpec key = new SecretKeySpec(keyStr.getBytes(StandardCharsets.UTF_8), "AES");
        cipher.init(1, key);
        return HexUtil.encodeHexStr(cipher.doFinal(data.getBytes(StandardCharsets.UTF_8)));
    }

    /**
     * AES解密
     *
     * @return
     * @throws Exception
     */
    public static String decryptAES(String base64Data, String keyStr) throws Exception {
        Cipher cipher = Cipher.getInstance("AES/ECB/PKCS5Padding");
        SecretKeySpec key = new SecretKeySpec(keyStr.getBytes(StandardCharsets.UTF_8), "AES");
        cipher.init(2, key);
        return new String(cipher.doFinal(HexUtil.decodeHex(base64Data)));
    }
    
    public static void main(String[] args) {
        String key = "www.kabaoka.com withdrawAccount";
        String md5 = SecureUtil.md5(key);
        System.out.println(md5);
    }

}
