package com.xyzc.common.weixin.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 公众号推送枚举
 *
 * @author yz
 * @date 2024-06-20 上午 10:42
 */
@Getter
@AllArgsConstructor
public enum WxMpPushEnums {

    /**
     * 退款结果推送
     */
    REFUND_PUSH(1, "退款结果推送"),

    OTHER(0, "其它");

    private final Integer value;
    private final String name;

}
