package com.xyzc.start.controller;

import com.xyzc.start.service.ImageProcessService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 图片处理
 */

@RestController
@RequestMapping("/imageProcess")
@RequiredArgsConstructor
@CrossOrigin
public class ImageProcessController {

    private final ImageProcessService imageProcessService;

    @PostMapping("/queryAll")
    public String queryAll() {
        return imageProcessService.queryAll();
    }

    //TODO： 定义字典，根据字典类型，调用相同的接口，获取不同的方法
    //TODO： 或者使用策略模式，每次调用不同的service实例


}
