package com.xyzc.start.convert;

import com.xyzc.common.web.security.user.UserDetail;
import com.xyzc.start.domain.BaseUser;
import com.xyzc.start.domain.vo.AccessTokenVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 基础用户转换
 *
 * @author 墨凡
 */
@Mapper
public interface BaseUserConvert {
    BaseUserConvert INSTANCE = Mappers.getMapper(BaseUserConvert.class);


    UserDetail convertDetail(BaseUser entity);

    AccessTokenVo convertTokenVo(UserDetail userDetail);
}
