package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 平台要设置的帮助文档
 */

@Data
@TableName("xy_help_common")
public class HelpCommon {

    @TableId(value = "id", type= IdType.ASSIGN_ID)
    private Integer id;

    /**
     * 帮助文档的内容
     */
    private String content;

    /**
     * 帮助文档的标题
     */
    private String title;

    /**
     * 有帮助的总数
     */
    private Integer helpful;

    /**
     * 没帮助的总数
     */
    private Integer noHelp;

    /**
     * 排序
     */
    private Integer sort;
}
