package com.xyzc.start.domain.bo;

import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.Pattern;
import lombok.Data;

/**
 * @description: 账号登录
 * @author: 墨凡
 * @date: 2024/7/21 23:32
 * @version: 1.0
 */
@Data
public class BaseUserLoginBo {

    private static final long serialVersionUID = 1L;

    private String username;

    private String password;

    private String key;

    private String captcha;

    /**
     * 手机号
     */
//    @NotEmpty(message = "手机号不能为空")
    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
    private String mobile;
}
