package com.xyzc.start.domain.bo;

import lombok.Data;

import java.util.List;

/**
 * 会员卡业务对象 xy_member_card
 *
 * @author admin
 * @date 2024-06-26
 */
@Data
public class MemberCardBo {

    /**
     * 会员卡id
     */
//    @NotNull(message = "会员卡id不能为空", groups = {EditGroup.class})
//    @Null(message = "会员卡id必须为空", groups = AddGroup.class)
    private Long id;

    /**
     * 会员方案id
     */
//    @Null(message = "会员方案id必须为空", groups = {AddGroup.class})
    private Long memberCardSchemeId;

    /**
     * 会员卡logo ossId
     */
//    @NotNull(message = "会员卡logo ossId不能为空", groups = AddGroup.class)
    private Long ossId;

    /**
     * 会员卡名称
     */
//    @NotBlank(message = "会员卡名称不能为空", groups = {AddGroup.class, EditGroup.class})
    private String cardName;

    /**
     * 会员卡别名
     */
    private String cardAliasName;

    /**
     * 描述
     */
//    @NotBlank(message = "描述不能为空", groups = AddGroup.class)
    private String description;

    /**
     * 每天使用次数
     */
//    @NotNull(message = "每天使用次数不能为空", groups = AddGroup.class)
    private Integer everydayUseNumber;

    /**
     * 会员卡下的权益
     */
//    @Valid
//    @NotEmpty(message = "会员卡权益不允许为空", groups = {AddGroup.class, EditGroup.class})
    private List<EquityBo> equityList;
}
