package com.xyzc.start.domain.bo;

import jakarta.validation.constraints.NotEmpty;
import lombok.Data;

@Data
public class MerchantDNSBo {


    /**
     * 私域前缀
     */
    @NotEmpty(message = "私域前缀不允许为空")
    private String domainPrefix;

    /**
     * 私域信息（预留字段）
     */
    @NotEmpty(message = "私域信息不允许为空")
    private String privateDomain;
}
