package com.xyzc.start.domain.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 基础用户会员卡详细信息
 *
 * @author 杨兴卓
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class BaseUserMemberCardDetailVo extends BaseUserMemberCardVo {

    /**
     * 描述
     */
    private String description;

    /**
     * 会员卡售价
     */
    private BigDecimal price;

    /**
     * 每天使用次数
     */
    private Integer everydayUseNumber;

    /**
     * 权益集合
     */
    private List<EquityVo> equityList;

    /**
     * 生效时间
     */
    private Date createTime;


}
