package com.xyzc.start.domain.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 基础用户会员卡大致信息
 *
 * @author 杨兴卓
 */
@Data
public class BaseUserMemberCardVo implements Serializable {


    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 会员卡id
     */
    private Long memberId;

    /**
     * 会员卡图地址
     */
    private String ossUrl;

    /**
     * 会员卡名称
     */
    private String cardName;

    /**
     * 会员卡等级， 实例：0-基础卡，1-白银， 2-黄金
     */
    private Integer cardLevel;

    /**
     * 会员卡别名
     */
    private String cardAliasName;

    /**
     * 到期时间
     */
    private Date expireTime;

}


