package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.BaseUser;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * BaseUserVo
 *
 * @author 杨兴卓
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@AutoMapper(target = BaseUser.class)
public class BaseUserVo {

    /**
     * 用户id
     */
    private Long id;

    /**
     * 用户编号
     */
    private Long userId;


    /**
     * 拥有会员卡数量
     */
    private Integer memberCardCount;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户手机号
     */
    private String mobile;

    /**
     * 剩余燃料
     */
    private Long surplusFuel;

    /**
     * 剩余次数
     */
    private Integer useCount;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 拥有会员卡个数
     */
    private List<BaseUserMemberCardVo> memberCardVoList;
}
