package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.DrawGraphics;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

/**
 * DrawGraphicsVo
 *
 * @author 杨兴卓
 */
@Data
@AutoMapper(target = DrawGraphics.class)
public class DrawGraphicsVo {

    /**
     * 绘画图像id
     */
    private String id;

    /**
     * 绘画模型id
     */
    private String modelId;

    /**
     * 使用次数，真
     */
    private String useCount;

    /**
     * 图像的地址
     */
    private String ossId;

    /**
     * 图像的标题
     */
    private String title;

    /**
     * ugc用户的id
     */
    private String ugcUserId;

    /**
     * 随机种子
     */
    private String randomSeed;

    /**
     * 图像宽度
     */
    private Integer width;

    /**
     * 图像高度
     */
    private Integer height;

    /**
     * 正向提示词
     */
    private String promptWord;

    /**
     * 反向提示词
     */
    private String reversePromptWord;

    /**
     * ugc用户的昵称
     */
    private String ugcUserName;

    /**
     * ugc用户的头像
     */
    private String ugcUserAvatar;

}
