package com.xyzc.start.domain.vo;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 商户信息
 *
 * @author yz
 * @date 2024/7/10 下午6:51
 */
@Data
@Accessors(chain = true)
public class MerchantInfoDTO {

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * 品牌logo ossId
     */
//    @Translation(type = TransConstant.OSS_ID_TO_URL)
    private Long brandLogoOssId;

    /**
     * 代理商默认二级域名
     */
    private String hostInfo;

    /**
     * 私域信息（预留字段）
     */
    private String privateDomain;

}
