package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.DrawModel;
import com.xyzc.start.domain.vo.DrawGraphicsVo;
import com.xyzc.start.domain.vo.DrawModelVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 绘画模型
 *
 * @author 墨凡
 * date: 2024/7/21 17:28
 */
@Mapper
public interface DrawModelMapper extends BaseMapperPlus<DrawModel, DrawModelVo> {

    /**
     * 查询绘画模型列表
     * @param drawModelId
     * @return
     */
    List<DrawModelVo> queryDrawModelList(Long drawModelId);


    /**
     *
     */


}
