package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xyzc.start.domain.HelpCommon;

import java.util.List;

/**
 * @description: TODO
 * @author: 墨凡
 * @date: 2024/7/21 14:06
 * @version: 1.0
 */
public interface HelpCommonMapper extends BaseMapper<HelpCommon> {

    default List<HelpCommon> queryHelpDocListById(Long id){
        return this.selectList(new LambdaQueryWrapper<HelpCommon>()
                .gt(HelpCommon::getId, id)
                .last("limit 6"));
    }
}
