package com.xyzc.start.service;

import com.xyzc.start.domain.vo.IndustryVo;
import com.xyzc.start.domain.vo.WebAppGroupVo;

import java.util.List;

/**
 *
 */
public interface IAppPageService {

    /**
     * 查询所有行业
     *
     * @return
     */
    List<WebAppGroupVo> queryByType();

    /**
     * 查询所有分类
     *
     * @return
     */
    List<IndustryVo> queryByIndustry();

    /**
     * 根据行业id查询app
     *
     * @param industryId
     * @return
     */
    List<WebAppGroupVo> queryByIndustryId(Long industryId);

    /**
     * 根据分类id查询app
     */
    List<WebAppGroupVo> queryByTypeId(Long typeId);

}
