package com.xyzc.start.service;

import com.xyzc.start.domain.vo.CaptchaVO;

/**
 * 验证码
 *
 * @author 墨凡
 */
public interface ICaptchaService {
    /**
     * 生成验证码
     */
    CaptchaVO generate();

    /**
     * 验证码效验
     *
     * @param key  key
     * @param code 验证码
     * @return true：成功  false：失败
     */
    boolean validate(String key, String code);
}
