package com.xyzc.start.service;

import com.xyzc.start.domain.vo.DrawGraphicsVo;
import com.xyzc.start.domain.vo.DrawModelVo;

import java.util.List;

/**
 * IdiscoverService
 *
 * @author 杨兴卓
 */
public interface IDiscoverService {

    /**
     * 分页查询绘画广场的图像
     *
     * @param graphicsId Long
     * @return List<DrawGraphicsVo>
     */
    List<DrawGraphicsVo> queryGraphics(Long graphicsId);

    /**
     * 分页查询绘画模型
     *
     * @param drawModelId
     * @return
     */
    List<DrawModelVo> queryDrawModelList(Long drawModelId);


}
