package com.xyzc.start.service;

import com.xyzc.start.domain.vo.AppVo;
import com.xyzc.start.domain.vo.CollectAppVo;
import com.xyzc.start.domain.vo.DrawGraphicsVo;
import com.xyzc.start.domain.vo.DrawModelCollectVo;

import java.util.List;

/**
 *
 */
public interface IMyCollectService {

    /**
     * 根据上一个id 获取收藏的绘画模型列表
     * @param id Long
     * @return List<DrawModelCollectVo>
     */
    List<DrawModelCollectVo> getCollectDrawModel(Long id);

    /**
     * 根据上一个id 获取收藏的应用列表
     * @param id
     * @return
     */
    List<CollectAppVo> getCollectApp(Long id);

    /**
     * 根据上一个id 获取收藏的图片列表
     *
     * @param id
     * @return
     */
    List<DrawGraphicsVo> getCollectImage(Long id);
}
